GET /api/workflows/schema

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/schema

Refer to Spaces for more information.

Retrieve the JSON schema used to validate workflow YAML definitions. The schema includes available step types based on the configured connectors in the current space.

[Required authorization] Route required privileges: workflowsManagement:read.

Query parameters

  • loose boolean Required

    When true, returns a permissive schema that allows additional properties. When false, returns a strict schema for full validation.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/workflows/schema
curl \
  -X GET "${KIBANA_URL}/api/workflows/schema?loose=false" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows/schema?loose=false
Response examples (200)
Example response returning the workflow JSON schema (truncated)
{
  "type": "object",
  "$schema": "http://json-schema.org/draft-07/schema#",
  "required": [
    "name",
    "triggers",
    "steps"
  ],
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "enabled": {
      "type": "boolean",
      "default": true
    },
    "version": {
      "type": "string",
      "const": "1",
      "default": "1",
      "description": "The version of the workflow schema"
    },
    "description": {
      "type": "string"
    }
  }
}